## fet 3.9.20

=== Makefile ===
#############################################################################
# Makefile for building: fet
# Generated by qmake (1.07a) (Qt 3.3.2) on: Sat Sep 11 15:15:30 2004
# Project:  fet.pro
# Template: subdirs
# Command: $(QMAKE) -o Makefile fet.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-src

first: all

all: Makefile $(SUBTARGETS)

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "src" || $(MKDIR) "src"
	cd src && $(QMAKE) src.pro -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src && $(MAKE) -f $(MAKEFILE)

Makefile: fet.pro  /usr/lib/qt/mkspecs/default/qmake.conf 
	$(QMAKE) -o Makefile fet.pro
qmake: qmake_all
	@$(QMAKE) -o Makefile fet.pro

all: $(SUBTARGETS)
qmake_all: src/$(MAKEFILE)
	 ( [ -d src ] && cd src ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d src ] && cd src ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:

## fet 3.12.30

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: fet
-# Generated by qmake (1.07a) (Qt 3.3.2) on: Sat Sep 11 15:15:30 2004
+# Generated by qmake (1.07a) (Qt 3.3.2) on: Mon Feb 21 18:03:10 2005
 # Project:  fet.pro
 # Template: subdirs
 # Command: $(QMAKE) -o Makefile fet.pro

## fet 5.27.9

=== debian/changelog ===
fet (5.27.9-1) unstable; urgency=medium

  * QA upload.

  [ Gianfranco Costamagna ]
  * [a5cfe527] Imported Upstream version 5.27.9.
  * [efdd2302] Use the desktop file provided in upstream tarball.
  * [95c0483b] Simplify packaging a little bit, and add svg file.

  [ Mattia Rizzolo ]
  * [9de377f1] debian/fet.menu: drop menu system.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Sep 2015 20:39:08 +0200

fet (5.27.8-1) unstable; urgency=medium

  * QA upload.

  [ Mattia Rizzolo ]
  * [d01f635] Imported Upstream version 5.27.8.  Closes: #759229
  * debian/control:
    + [4705a46] orphan the package.
    + [3853c59] bump Standards-Version to 3.9.6 (no changes needed).
    + [3ccf4d8] enlarge fet long description.
    + [f47de2d] add Vcs-{Git,Browser} fields.
  * [8b4188e] debian/source/format: add to set this package as 3.0 (quilt).
  * [c58242b] debian/{control,compat}: move to dh compat version 9.
  * [a2b1e22] debian/rules: rewrite using the dh sequencer.
  * [c54c88a,3eb8d2c,42081cb] split package in two binaries fet and fet-data.
  * [90ed97b] debian/fet.manpages: upstream changed paths + install fet-cl.1
  * [6ac096e] debian/* run wrap-and-sort.
  * [b8be961] debian/copyright: rewrite following copyright format 1.0.

  [ Petter Reinholdtsen ]
  * [2fe0435] debian/control: add the Homepage field.

  [ Frank Cheung ]
  * [07c195f] debian/control: remove use of genetic algorithm in description.
    Closes: #759227, LP: #368017

  [ Garette Emmanuel ]
  * [481421b] debian/install: install the fet-cl binary (LP: #1404027).

  [ Gianfranco Costamagna ]
  * [3b04629] debian/copyright: upstream moved from GPL-2+ to AGPL-2+

 -- Mattia Rizzolo <mattia@mapreri.org>  Sun, 06 Sep 2015 17:26:06 +0000

fet (5.22.0-0.1) unstable; urgency=low

  [ Mattia Rizzolo ]
  * Non-maintainer upload.
  * New upstream release 5.22.0. (Closes: #718601)
  * debian/control: bump Standards-Version to 3.9.5:
    + debian/rules: add build-arch and build-indep targets.

  [ Andrea Colangelo ]
  * debian/copyright: update.

 -- Mattia Rizzolo <mattia@mapreri.org>  Sat, 12 Jul 2014 19:43:56 +0200

fet (5.18.0-1) unstable; urgency=low

  * New upstream release.

 -- Radu Spineanu <radu@debian.org>  Thu, 28 Jun 2012 07:14:17 +0000

fet (5.14.3-1) unstable; urgency=low

  * New upstream release.

 -- Radu Spineanu <radu@debian.org>  Sat, 26 Feb 2011 18:36:54 +0000

fet (5.11.0-1) unstable; urgency=low

  * New upstream release.
  * Removed deprecated dh_desktop.
  * Updated DH_COMPAT to 7.
  * Bumped standards version.

 -- Radu Spineanu <radu@debian.org>  Sun, 29 Nov 2009 23:04:04 +0200

fet (5.9.1-1) unstable; urgency=low

  * New upstream release.

 -- Radu Spineanu <radu@debian.org>  Thu, 26 Feb 2009 17:24:05 +0200

fet (5.7.0-1) unstable; urgency=low

  * New upstream release.(closes: #500612)
  * Added a .desktop file. Thanks to Iain Lane 
    for the patch. (closes: #481547)
  * Added a watch file. (closes: #500613)

 -- Radu Spineanu <radu@debian.org>  Tue, 30 Sep 2008 01:23:22 +0300

fet (5.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Radu Spineanu <radu@debian.org>  Sat, 10 May 2008 16:18:33 +0300

fet (5.4.17-1) unstable; urgency=low

  * New upstream release.
  * Changed menu placement from Applications/Tools
    to Applications/Project Management.
  * Bumped Standards Version to 3.7.3.

 -- Radu Spineanu <radu@debian.org>  Mon, 07 Jan 2008 18:33:57 +0200

fet (5.4.10-1) unstable; urgency=low

  * New upstream release. (closes: #445681)

 -- Radu Spineanu <radu@debian.org>  Mon, 08 Oct 2007 19:22:35 +0300

fet (5.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Radu Spineanu <radu@debian.org>  Tue, 21 Aug 2007 21:58:09 +0300

fet (4.2.8-1) unstable; urgency=low

  * New upstream release. (closes: #417851)
  * Build-Depend on QT4.
  * Don't ignore errors during make distclean.
  * Fixed a spelling mistake in the package description.
    (closes: #363409)
  * Updated Standards Version.
 
 -- Radu Spineanu <radu@debian.org>  Thu, 05 Jul 2007 14:00:34 +0300

fet (3.18.2-1) unstable; urgency=low

  * New upstream release (fixes an serious bug where the 
    results directory was not created).

 -- Radu Spineanu <radu@debian.org>  Thu, 19 Jan 2006 20:39:00 +0200

fet (3.18.1-1) unstable; urgency=low

  * New upstream release 
  * New maintainer's email

 -- Radu Spineanu <radu@debian.org>  Mon,  9 Jan 2006 21:48:38 +0200

fet (3.17.9-1) unstable; urgency=low

  * New upstream release 

 -- Radu Spineanu <radu@timisoara.roedu.net>  Mon, 28 Nov 2005 14:36:20 +0200

fet (3.17.7-1) unstable; urgency=low

  * New upstream release 

 -- Radu Spineanu <radu@timisoara.roedu.net>  Sat, 29 Oct 2005 19:42:27 +0300

fet (3.17.5-1) unstable; urgency=low

  * New upstream release 

 -- Radu Spineanu <radu@timisoara.roedu.net>  Tue,  4 Oct 2005 03:00:14 +0300

fet (3.17.1-1) unstable; urgency=low

  * New upstream release
  * Policy increased to 3.6.2, no changes

 -- Radu Spineanu <radu@timisoara.roedu.net>  Tue, 23 Aug 2005 05:02:32 +0300

fet (3.12.30-1) unstable; urgency=low

  * New upstream release (closes: #298292) (new Catalan translation)

 -- Radu Spineanu <radu@timisoara.roedu.net>  Tue, 29 Mar 2005 15:52:14 +0300

fet (3.12.24-1) unstable; urgency=low

  * New upstream release 

 -- Radu Spineanu <radu@timisoara.roedu.net>  Tue,  1 Mar 2005 00:35:13 +0200

fet (3.12.16-1) unstable; urgency=low

  * New upstream release 

 -- Radu Spineanu <radu@timisoara.roedu.net>  Wed, 23 Feb 2005 21:22:40 +0200

fet (3.12.13-1) unstable; urgency=low

  * New upstream release 

 -- Radu Spineanu <radu@timisoara.roedu.net>  Tue, 22 Feb 2005 14:42:10 +0200

fet (3.12.8-1) unstable; urgency=low

  * New upstream release 

 -- Radu Spineanu <radu@timisoara.roedu.net>  Sun, 20 Feb 2005 18:56:06 +0200

fet (3.12.7-1) unstable; urgency=low

  * New upstream release

 -- Radu Spineanu <radu@timisoara.roedu.net>  Sat, 19 Feb 2005 00:28:09 +0200

fet (3.12.5-1) unstable; urgency=low



=== debian/control ===
Source: fet
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               libqt4-dev,
               qt4-dev-tools
Standards-Version: 3.9.6
Homepage: http://www.lalescu.ro/liviu/fet/
Vcs-Git: git://anonscm.debian.org/collab-maint/fet.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fet.git

Package: fet
Architecture: any
Depends: fet-data,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: python
Description: timetable generator
 FET is a program for automatically generating the timetable
 of a school, high-school or university.
 .
 Usually, FET is able to solve a complicated timetable in maximum 5-20 minutes.
 For simpler timetables, it may take a shorter time, under 5 minutes (in some
 cases, a matter of seconds). For extremely difficult timetables, it may take
 a longer time, a matter of hours.

Package: fet-data
Architecture: all
Depends: ${misc:Depends}
Breaks: fet (<< 5.27.3-1)
Replaces: fet (<< 5.27.3-1)
Description: timetable generator - documentation and examples
 FET is a program for automatically generating the timetable
 of a school, high-school or university.
 .
 This package contains architecture-independant files such as a lot of examples
 and documentation on the used algorithm.

## fet 5.28.6

=== debian/changelog ===
fet (5.28.6-1) unstable; urgency=medium

  * QA upload.
  * [af8b3621] Imported Upstream version 5.28.6
  * [30fda20d] Bump std-version to 3.9.7, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Feb 2016 14:47:38 +0100

fet (5.28.4-1) unstable; urgency=medium

  * QA upload.
  * [59561863] Imported Upstream version 5.28.4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Dec 2015 10:59:01 +0100

fet (5.28.3-1) unstable; urgency=medium

  * QA upload.
  * [2550f315] Imported Upstream version 5.28.3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 12 Dec 2015 00:17:16 +0100

fet (5.28.2-1) unstable; urgency=medium

  * QA upload.
  * [8abd7b09] Imported Upstream version 5.28.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Oct 2015 11:12:49 +0100

fet (5.28.1-1) unstable; urgency=medium

  * QA upload.
  * [6ffd089e] Imported Upstream version 5.28.1

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 14 Oct 2015 10:44:12 +0200

fet (5.28.0-1) unstable; urgency=medium

  * QA upload.
  * [b42bfa1d] Imported Upstream version 5.28.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Oct 2015 17:18:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
                libqt4-dev,
                qt4-dev-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.lalescu.ro/liviu/fet/
 Vcs-Git: git://anonscm.debian.org/collab-maint/fet.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fet.git

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
%:
	dh $@ --parallel

=== debian/watch ===
version=3
http://lalescu.ro/liviu/fet/download/fet-([\d\.]+)\.tar\.bz2

## fet 5.30.3

=== debian/changelog ===
fet (5.30.3-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.30.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Aug 2016 19:37:56 +0200

fet (5.30.2-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.30.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Aug 2016 11:05:14 +0200

fet (5.30.1-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.30.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jul 2016 11:33:23 +0200

fet (5.30.0-1) unstable; urgency=low

  * QA upload.
  * Imported Upstream version 5.30.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Jul 2016 16:47:10 +0200

fet (5.29.6-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.29.6

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Jul 2016 10:01:06 +0200

fet (5.29.5-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.29.5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Jun 2016 20:32:19 +0200

fet (5.29.4-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.29.4

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jun 2016 19:25:51 +0200

fet (5.29.3-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.29.3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 May 2016 14:08:19 +0200

fet (5.29.2-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.29.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 May 2016 19:59:23 +0200

fet (5.29.1-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.29.1
  * Bump std-version to 3.9.8
  * Bump watch version to 4
  * Fix insecure VCS uri
  * Switch to qt5

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 21 Apr 2016 14:56:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9),
-               libqt4-dev,
-               qt4-dev-tools
-Standards-Version: 3.9.7
+               qtbase5-dev,
+               qtbase5-dev-tools
+Standards-Version: 3.9.8
 Homepage: http://www.lalescu.ro/liviu/fet/
-Vcs-Git: git://anonscm.debian.org/collab-maint/fet.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/fet.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fet.git
 
 Package: fet

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=5

%:
	dh $@ --parallel

## fet 5.30.8

=== debian/changelog ===
fet (5.30.8-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.30.8
  * Update copyright year.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jan 2017 16:19:39 +0100

fet (5.30.7-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.30.7

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Dec 2016 09:15:21 +0100

fet (5.30.5-2) unstable; urgency=medium

  * QA upload.
  * Bump debhelper comapt level to 10.
    + --parallel is now default.
  * d/control:
    + use /git/ instead of /cgit/ in Vcs-Browser.
    + mark fet-data as Multi-Arch:foreign (suggested by the m-a hinter).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Nov 2016 16:36:29 +0000

fet (5.30.5-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.30.5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Oct 2016 19:08:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                qtbase5-dev,
                qtbase5-dev-tools
 Standards-Version: 3.9.8
 Homepage: http://www.lalescu.ro/liviu/fet/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/fet.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fet.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fet.git
 
 Package: fet
 Architecture: any
@@ -27,6 +27,7 @@
 
 Package: fet-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: fet (<< 5.27.3-1)
 Replaces: fet (<< 5.27.3-1)

=== debian/watch ===
version=4
http://lalescu.ro/liviu/fet/download/fet-([\d\.]+)\.tar\.bz2

## fet 5.31.1

=== debian/changelog ===
fet (5.31.1-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.31.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Mar 2017 12:52:14 +0100

fet (5.31.0-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.31.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 Feb 2017 19:18:37 +0100

## fet 5.33.1

=== debian/changelog ===
fet (5.33.1-1) unstable; urgency=medium

  * New upstream version 5.33.1
  * bump std-version to 4.1.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Aug 2017 18:33:59 +0200

fet (5.32.2-1) unstable; urgency=medium

  * New upstream version 5.32.2

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2017 16:46:13 +0200

fet (5.31.9-1) unstable; urgency=medium

  * New upstream version 5.31.9
  * bump std-version to 4.0.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 16 Jul 2017 11:26:54 +0200

fet (5.31.6-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.31.6

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 May 2017 08:48:53 +0200

fet (5.31.5-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.31.5

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Apr 2017 19:33:41 +0200

fet (5.31.2-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 5.31.2

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 16 Mar 2017 09:30:58 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 10),
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://www.lalescu.ro/liviu/fet/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/fet.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fet.git

## fet 5.35.5

=== debian/changelog ===
fet (5.35.5-1) unstable; urgency=medium

  * New upstream version.
  * Update homepage to segure URI on debian/control.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 26 Mar 2018 19:00:12 +0100

fet (5.35.4-1) unstable; urgency=medium

  * New upstream version.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Mon, 19 Mar 2018 18:11:35 +0100

fet (5.35.3-1) unstable; urgency=medium

  * New upstream version.
  * Segure URI on debian/watch file.
  * Migrated to salsa repository.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 03 Mar 2018 08:42:15 +0100

fet (5.35.2-1) unstable; urgency=medium

  * New upstream version.
  * Bumped to compat level 11 (does not need changes).

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 27 Jan 2018 18:21:10 +0100

fet (5.35.1-1) unstable; urgency=medium

  * New upstream version 5.35.1
  * New Maintainer (Closes: #798954).
  * Bumped to python3 debian/control Recommends field.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 20 Jan 2018 17:09:25 +0100

fet (5.35.0-1) unstable; urgency=medium

  * New upstream version 5.35.0
  * Bump std-version to 4.1.3, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jan 2018 17:08:19 +0100

fet (5.34.3-1) unstable; urgency=medium

  * New upstream version 5.34.3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Dec 2017 19:28:32 +0100

fet (5.34.2-1) unstable; urgency=medium

  * New upstream version 5.34.2
  * Bump std-version to 4.1.2, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Dec 2017 15:21:22 +0100

fet (5.34.0-1) unstable; urgency=medium

  * New upstream version 5.34.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Nov 2017 11:45:18 +0100

fet (5.33.3-1) unstable; urgency=medium

  * Bump std-version to 4.1.1, no changes required
  * New upstream version 5.33.3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Oct 2017 19:49:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: fet
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
+Build-Depends: debhelper (>= 11),
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.1.0
-Homepage: http://www.lalescu.ro/liviu/fet/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/fet.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/fet.git
+Standards-Version: 4.1.3
+Homepage: https://www.lalescu.ro/liviu/fet/
+Vcs-Browser: https://salsa.debian.org/demarchi-guest/fet
+Vcs-Git: https://salsa.debian.org/demarchi-guest/fet.git
 
 Package: fet
 Architecture: any
 Depends: fet-data,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: python
+Recommends: python3
 Description: timetable generator
  FET is a program for automatically generating the timetable
  of a school, high-school or university.

## fet 5.37.2

=== debian/changelog ===
fet (5.37.2-1) unstable; urgency=medium

  * New upstream version.
  * Updated to Standards-Version 4.2.0.0: no changes required.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 19 Aug 2018 17:24:13 +0100

fet (5.37.1-1) unstable; urgency=medium

  * New upstream version.
  * Updated to Standards-Version 4.2.0.0: no changes required.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Wed, 08 Aug 2018 09:39:12 +0100

fet (5.37.0-1) unstable; urgency=medium

  * New upstream version.
  * Updated to Standards-Version 4.1.5: no changes required.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 21 Jul 2018 18:25:24 +0100

fet (5.36.2-1) unstable; urgency=medium

  * New upstream version.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 07 Jul 2018 18:19:28 +0100

fet (5.36.0-1) unstable; urgency=medium

  * New upstream version.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 23 Jun 2018 1:25:18 +0100

fet (5.35.7-1) unstable; urgency=medium

  * New upstream version.
  * Segure URI on debian/copyright file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sun, 10 Jun 2018 11:25:12 +0100

fet (5.35.6-1) unstable; urgency=medium

  * New upstream version.
  * Updated std-version to 4.1.4, no changes required.
  * Added debian/upstream/metadata file.

 -- Innocent De Marchi <tangram.peces@gmail.com>  Sat, 14 Apr 2018 09:37:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11),
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0.0
 Homepage: https://www.lalescu.ro/liviu/fet/
 Vcs-Browser: https://salsa.debian.org/demarchi-guest/fet
 Vcs-Git: https://salsa.debian.org/demarchi-guest/fet.git

## fet 5.37.5

=== debian/changelog ===
fet (5.37.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian QA Group <packages@qa.debian.org>  Fri, 22 Jan 2021 11:16:37 +0800

fet (5.37.5-1) unstable; urgency=medium

  * QA upload
  * Set maintainer to Debian QA group
    - Thanks Innocent De Marchi for *all* your past work,
      for helping in maintaining this package in such an
      awesome way.
  * Switch VCS fields to debian namespace
  * Bump std-version to 4.3.0, no changes required
  * New upstream version 5.37.5
  * Bump copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Feb 2019 10:37:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: fet
 Section: utils
 Priority: optional
-Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 11),
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.2.0.0
+Standards-Version: 4.3.0
 Homepage: https://www.lalescu.ro/liviu/fet/
-Vcs-Browser: https://salsa.debian.org/demarchi-guest/fet
-Vcs-Git: https://salsa.debian.org/demarchi-guest/fet.git
+Vcs-Browser: https://salsa.debian.org/debian/fet
+Vcs-Git: https://salsa.debian.org/debian/fet.git
 
 Package: fet
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,4 +3,4 @@
 export QT_SELECT=5
 
 %:
-	dh $@ --parallel
+	dh $@

## fet 5.39.0

=== debian/changelog ===
fet (5.39.0-2) unstable; urgency=medium

  * New maintainer. Thanks to Innocent De Marchi the last maintainer.
    (Closes: #922884)
  * Cryptographic signature verification: the upstream is providing a GPG
    signature that allows the tarball verification. Consequently:
      - Added the debian/upstream/signing-key.asc file.
      - Updated full the debian/watch file.
  * debian/control:
      - Changed Section from Utils to Misc.
      - Removed Vcs fields.
      - Reorganized the long description.
  * debian/copyright:
      - Added a comment to say upstream email location.
      - Fixed upstream name.
      - Total revision in debian/* block.
  * debian/rules: added LDFLAGS.
  * debian/watch: Improved the search rule.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Thu, 08 Aug 2019 00:45:52 -0300

fet (5.39.0-1) unstable; urgency=medium

  * QA upload
  * New upstream version 5.39.1
  * Bump compat level to 12
  * Bump std-version to 4.4.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2019 10:45:11 +0200

fet (5.38.1-1) unstable; urgency=medium

  * QA upload
  * New upstream version 5.38.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jun 2019 23:23:16 +0200

=== debian/control ===
Source: fet
Section: misc
Priority: optional
Maintainer: Thiago Andrade Marques <thmarques@gmail.com>
Build-Depends: debhelper-compat (= 12),
               qtbase5-dev,
               qtbase5-dev-tools
Standards-Version: 4.4.0
Homepage: https://www.lalescu.ro/liviu/fet/

Package: fet
Architecture: any
Depends: fet-data,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: python3
Description: timetable generator
 FET is a program for automatically generating the timetable of a school,
 high-school or university.
 .
 Usually, FET is able to solve a complicated timetable in maximum 5-20 minutes.
 For simpler timetables, it may take a shorter time, under 5 minutes (in some
 cases, a matter of seconds). For extremely difficult timetables, it may take
 a longer time, a matter of hours.

Package: fet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: fet (<< 5.27.3-1)
Replaces: fet (<< 5.27.3-1)
Description: timetable generator - documentation and examples
 FET is a program for automatically generating the timetable of a school,
 high-school or university.
 .
 This package contains architecture-independent files such as a lot of
 examples and documentation on the used algorithm.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=5
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie -Wl,--as-needed

%:
	dh $@

# fails for unknown reasons
override_dh_dwz:

## fet 5.42.2

=== debian/changelog ===
fet (5.42.2-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:14:08 +0100

fet (5.42.2-2) unstable; urgency=medium

  * debian/copyright: Update copyright years.

 -- Alex Muntada <alexm@debian.org>  Mon, 06 Jan 2020 09:28:20 +0100

fet (5.42.2-1) unstable; urgency=medium

  * New upstream version 5.42.2.

 -- Alex Muntada <alexm@debian.org>  Mon, 06 Jan 2020 01:35:50 +0100

fet (5.41.0-1) unstable; urgency=medium

  * New upstream version 5.41.0.
  * New maintainer.
    Thanks to Thiago Andrade Marques (Closes: 945298)
  * debian/gbp.conf: set debian-branch and pristine-tar.

 -- Alex Muntada <alexm@debian.org>  Sun, 01 Dec 2019 20:27:24 +0100

fet (5.40.3-1) unstable; urgency=medium

  * QA upload, orphaning package; see #945298.
  * New upstream version 5.40.3.
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Added VCS fields.
      - Bumped Standards-Version to 4.4.1.
  * debian/rules: Removed override_dh_dwz, no longer needed. (Closes: #934854)
                  Thanks to Gianfranco Costamagna.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Fri, 22 Nov 2019 20:58:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: fet
 Section: misc
 Priority: optional
-Maintainer: Thiago Andrade Marques <thmarques@gmail.com>
+Maintainer: Alex Muntada <alexm@debian.org>
 Build-Depends: debhelper-compat (= 12),
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://www.lalescu.ro/liviu/fet/
+Vcs-Browser: https://salsa.debian.org/debian/fet
+Vcs-Git: https://salsa.debian.org/debian/fet.git
 
 Package: fet
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,3 @@
 
 %:
 	dh $@
-
-# fails for unknown reasons
-override_dh_dwz:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://lalescu.ro/liviu/fet/download/fet-([\d\.]+)\.tar\.(?:bz2|gz|xz)

## fet 5.44.0

=== debian/changelog ===
fet (5.44.0-1) unstable; urgency=medium

  * New upstream version 5.44.0.
  * Bumped Standards-Version to 4.5.0.
  * Override license-problem-non-free-RFC lintian error.

 -- Alex Muntada <alexm@debian.org>  Fri, 03 Apr 2020 13:18:39 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12),
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.lalescu.ro/liviu/fet/
 Vcs-Browser: https://salsa.debian.org/debian/fet

## fet 5.48.1

=== debian/changelog ===
fet (5.48.1-1) unstable; urgency=medium

  * Import upstream version 5.48.1.
  * Declare compliance with Debian Policy 4.5.1.
  * Move Contact field from debian/upstream/metadata to
    debian/copyright.
  * Remove redundant fields from debian/upstream/metadata.
  * Update copyright years.
  * Update icons installation directory.
  * Remove now default compiler flag --as-needed.

 -- Alex Muntada <alexm@debian.org>  Fri, 05 Feb 2021 02:17:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 12),
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.lalescu.ro/liviu/fet/
 Vcs-Browser: https://salsa.debian.org/debian/fet

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export QT_SELECT=5
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie

%:
	dh $@

## fet 6.7.3

=== debian/changelog ===
fet (6.7.3-2) unstable; urgency=medium

  * Fix AppStream errors and warnings.
  * Increase max DIE limit and ignore dwz errors.

 -- Alex Muntada <alexm@debian.org>  Tue, 29 Nov 2022 12:55:02 +0100

fet (6.7.3-1) unstable; urgency=medium

  * Import upstream version 6.7.3 (Closes: #1023196).
  * Skip dh_dwz target.
  * Declare compliance with Debian Policy 4.6.1.0.
  * Update copyright years.
  * Fix dh_missing errors.
  * Avoid extra-license-file warning by lintian.
  * Fix AppStream warning about metadata.
  * Add a remark to report bugs in their forum.

 -- Alex Muntada <alexm@debian.org>  Mon, 28 Nov 2022 16:16:15 +0100

## fet 6.7.6

=== debian/changelog ===
fet (6.7.6-1) unstable; urgency=medium

  * Fix AppStream warnings and hints.
  * Import upstream version 6.7.6.

 -- Alex Muntada <alexm@debian.org>  Fri, 09 Dec 2022 18:10:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: misc
 Priority: optional
 Maintainer: Alex Muntada <alexm@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://www.lalescu.ro/liviu/fet/
 Vcs-Browser: https://salsa.debian.org/debian/fet

## fet 6.8.5

=== debian/changelog ===
fet (6.8.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:50:44 +1100

fet (6.8.5-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:22:52 +0000

fet (6.8.5-1) unstable; urgency=medium

  * Import upstream version 6.8.5.
  * Declare compliance with Debian Policy 4.6.2.0.
  * Update copyright years.

 -- Alex Muntada <alexm@debian.org>  Mon, 27 Feb 2023 15:48:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: fet
 Section: misc
 Priority: optional
-Maintainer: Alex Muntada <alexm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alex Muntada <alexm@debian.org>
 Build-Depends: debhelper-compat (= 13),
                qtbase5-dev,
                qtbase5-dev-tools
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Homepage: https://www.lalescu.ro/liviu/fet/
 Vcs-Browser: https://salsa.debian.org/debian/fet

## fet 7.0.8

=== debian/changelog ===
fet (7.0.8-3) unstable; urgency=medium

  * Fix buildd missing B-D-I (Closes: #1100790).

 -- Alex Muntada <alexm@debian.org>  Tue, 18 Mar 2025 23:05:11 +0100

fet (7.0.8-2) unstable; urgency=medium

  * Rebuild to make a source upload.

 -- Alex Muntada <alexm@debian.org>  Mon, 17 Mar 2025 23:16:01 +0100

fet (7.0.8-1) unstable; urgency=medium

  * Import upstream version 7.0.8.
  * Move qtbase5-dev* to B-D-A as suggested in #1088269.
  * Fix warning running appstreamcli validate-tree.
  * Update appstream metainfo.
  * Update copyright years.
  * Declare compliance with Debian Policy 4.7.2.0.

 -- Alex Muntada <alexm@debian.org>  Sun, 16 Mar 2025 23:57:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: fet
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alex Muntada <alexm@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               qtbase5-dev,
-               qtbase5-dev-tools
-Standards-Version: 4.6.2.0
+Maintainer: Alex Muntada <alexm@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: qtbase5-dev,
+                    qtbase5-dev-tools
+Build-Depends-Indep: qtbase5-dev,
+                     qtbase5-dev-tools
+Standards-Version: 4.7.2.0
 Rules-Requires-Root: no
 Homepage: https://www.lalescu.ro/liviu/fet/
 Vcs-Browser: https://salsa.debian.org/debian/fet

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,15 @@
 export QT_SELECT=5
 export DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie
 
+DOC_FET = usr/share/doc/fet
+
 %:
 	dh $@
+
+# Avoid extra-license-file warning by lintian
+override_dh_install:
+	dh_install --exclude=$(DOC_FET)/COPYING --exclude=$(DOC_FET)/licenses
+
+# Increase max DIE limit and ignore dwz errors
+override_dh_dwz:
+	-dh_dwz -- --max-die-limit 100000000
